Bug 427508 - Review Request: hunspell-hi - Hindi hunspell dictionaries
Review Request: hunspell-hi - Hindi hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 05:59 EST by Parag Nemade
Modified: 2008-01-07 11:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 02:14:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2008-01-04 05:59:24 EST
Spec URL: http://paragn.fedorapeople.org/hunspell/hunspell-hi.spec
SRPM URL: http://paragn.fedorapeople.org/hunspell/hunspell-hi-20050726-1.fc8.src.rpm
Description: Hindi hunspell dictionaries
Comment 1 Jason Tibbitts 2008-01-05 17:31:44 EST
As with the other package, you should include the Copyright file as %doc.

That's the only issue I see, so I'll go ahead and approve this and you can fix
it when you check in.

* source files match upstream:
   2e78f20096dfa254fe92ea7cf6ec3ed19cdf664e68eea964c56651c8e79e8345  
   hi-demo.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   hunspell-hi = 20050726-1.fc9
  =
   hunspell

* %check is not present; I don't know any Hindi so I cannot test this.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Parag Nemade 2008-01-05 22:14:36 EST
New Package CVS Request
=======================
Package Name: hunspell-hi
Short Description: Hindi hunspell dictionaries
Owners: pnemade
Branches: F-8
InitialCC:
Cvsextras Commits: no

Comment 3 Kevin Fenzi 2008-01-06 12:35:48 EST
cvs done. 

Any particular reason to disallow cvsextras? 
Comment 4 Parag Nemade 2008-01-06 22:35:50 EST
make it yes. I have no problem in making cvsextras commit to yes.
Comment 5 Parag Nemade 2008-01-07 02:14:22 EST
Built for devel and F-8 successfully.
Thanks to tibbs and kevin.
Comment 6 Kevin Fenzi 2008-01-07 11:32:13 EST
ok. Done. Thanks.

Note You need to log in before you can comment on or make changes to this bug.